Retrieve an event
curl --request GET \
--url https://api.spacebring.com/events/v1/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'spacebring-network-id: <spacebring-network-id>'import requests
url = "https://api.spacebring.com/events/v1/{id}"
headers = {
"spacebring-network-id": "<spacebring-network-id>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'spacebring-network-id': '<spacebring-network-id>',
Authorization: 'Basic <encoded-value>'
}
};
fetch('https://api.spacebring.com/events/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"confirmationEmail": {
"enabled": true,
"template": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"customTax": {
"enabled": true,
"rate": 123
},
"endDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitedAttendees": {
"enabled": true,
"limit": 0
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": {
"credits": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
},
"money": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
}
},
"showAttendees": true,
"startDate": "2023-11-07T05:31:56Z",
"title": "<string>",
"attendees": 0,
"cancelDate": "2023-11-07T05:31:56Z",
"deleteDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"imageUrl": "<string>",
"joined": true,
"locale": "<string>",
"venue": "<string>"
}
}{
"message": "<string>",
"type": "<string>"
}Events
Retrieve an event
Retrieve an event.
OAuth
Required scopes:eventsGET
/
events
/
v1
/
{id}
Retrieve an event
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I